hifrog - Bug #5009

Theoref BUG: wrong result after refinement
16/04/2017 12:16 - Sepideh Asadi

Status: Closed Start date: 16/04/2017
Priority: Normal Due date:

Assignee: Antti Hyvarinen % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

/hifrog --claim 1 --theoref --no-itp --unwind 10 ~/hi-bench/challenge-bench/sv-comp16/c/busybox-1.22.0/sync_true-unreach-call.c

The correct result should be UNSAT but it is returned:
Weak statement encodings (11) found
Obtained counter-examples are refined

(11 / 14 expressions bit-blasted)

ASSERTION DOES NOT HOLD

VERIFICATION FAILED
TOTAL TIME FOR CHECKING THIS CLAIM: 2.586

History

#1 - 18/04/2017 12:12 - Karine Even Mendoza
- Status changed from New to Feedback

- Assignee set to Antti Hyvérinen

/hi-bench/challenge-bench/sv-comp16/c/busybox-1.22.0/sync_true-unreach-call.c:
Reason: (Cannot refine due to 22 unsupported operators;e.g., pointer)
It works with logic prop, so there is no bug in the flow.

Antti, can we add pointer support?

#2 - 19/04/2017 18:16 - Karine Even Mendoza
- Status changed from Feedback to Closed

Feature postponed for next coding task - reopend when start encoding
